Bug 1561260 (CVE-2018-0733) - CVE-2018-0733 openssl: Implementation bug in PA-RISC CRYPTO_memcmp function allows attackers to forge authenticated messages in a reduced number of attempts
Summary: CVE-2018-0733 openssl: Implementation bug in PA-RISC CRYPTO_memcmp function a...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-0733
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180327,repor...
Depends On: 1561262 1561261 1561263
Blocks: 1561264
TreeView+ depends on / blocked
 
Reported: 2018-03-28 01:02 UTC by Sam Fowler
Modified: 2019-06-08 22:47 UTC (History)
41 users (show)

Fixed In Version: openssl 1.1.0h
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-03 08:14:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3399171 None None None 2018-04-04 05:23:02 UTC

Description Sam Fowler 2018-03-28 01:02:43 UTC
OpenSSL 1.1.0 has an implementation bug in the PA-RISC CRYPTO_memcmp function that effectively results to only comparing the least significant bit of each byte.  This allows an attacker to forge messages that would be considered as authenticated in an amount of tries lower than that guaranteed by the security claims of the scheme. The module can only be compiled by the HP-UX assembler, so that only HP-UX PA-RISC targets are affected.


External References:

https://www.openssl.org/news/secadv/20180327.txt


Upstream Patch:

https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=56d5a4bfcaf37fa420aef2bb881aa55e61cf5f2f

Comment 1 Sam Fowler 2018-03-28 01:03:27 UTC
Created openssl tracking bugs for this issue:

Affects: fedora-all [bug 1561263]


Created mingw-openssl tracking bugs for this issue:

Affects: epel-7 [bug 1561262]

Comment 4 Huzaifa S. Sidhpurwala 2018-04-03 08:13:42 UTC
Statement:

This flaw only affects the openssl code which is compiled by the HP-UX assembler, so that only HP-UX PA-RISC arches are affected. Red Hat Enterprise Linux does not support this architecture, and therefore is not affected.


Note You need to log in before you can comment on or make changes to this bug.